คู่มือ aWhere
พัฒนาAPIcore-services

แอป

แอปที่ติดตั้งแล้ว และรายการแอปที่ติดตั้งได้

แสดงแอปที่ติดตั้งแล้ว

GET
/api/admin/apps

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Body ของคำตอบ

The answer.

application/json
  1. response
total?integer
data?array<unknown>
curl -X GET "https://platform.example.com/api/admin/apps" \  -H "Authorization: Bearer $TOKEN"
{  "total": 0,  "data": [    null  ]}

ติดตั้งแอป

PUT
/api/admin/apps

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Body ของคำขอ

application/json
  1. body
id*string

The id of the App, as GET /api/admin/apps/catalogue lists it.

url?string

Where the App is served, when it is not at its usual path.

Body ของคำตอบ

The answer.

response?stringapplication/json

The id.

curl -X PUT "https://platform.example.com/api/admin/apps" \  -H "Authorization: Bearer $TOKEN" \  -H "Content-Type: application/json" \  -d '{  "id": "string"}'
"string"

แสดงแอปที่แพลตฟอร์มติดตั้งได้

GET
/api/admin/apps/catalogue

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Body ของคำตอบ

The answer.

application/json
  1. response
total?integer
data?array<unknown>
curl -X GET "https://platform.example.com/api/admin/apps/catalogue" \  -H "Authorization: Bearer $TOKEN"
{  "total": 0,  "data": [    null  ]}

อ่าน manifest ของแอปก่อนติดตั้ง

POST
/api/admin/apps/preview

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Body ของคำขอ

application/json
  1. body
id*string

The id of the App.

url?string

Where the App is served.

Body ของคำตอบ

The answer.

application/json
  1. response
manifest?unknown
url?unknown
clientId?unknown
reachable?unknown
warnings?unknown
curl -X POST "https://platform.example.com/api/admin/apps/preview" \  -H "Authorization: Bearer $TOKEN" \  -H "Content-Type: application/json" \  -d '{  "id": "string"}'
{  "manifest": null,  "url": null,  "clientId": null,  "reachable": null,  "warnings": null}

อ่านแอปที่ติดตั้งแล้วหนึ่งแอป

GET
/api/admin/apps/{id}

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

พารามิเตอร์ใน Path

id*string

The id of the App.

Body ของคำตอบ

The answer.

curl -X GET "https://platform.example.com/api/admin/apps/$ID" \  -H "Authorization: Bearer $TOKEN"
ว่าง

ถอนการติดตั้งแอป

DELETE
/api/admin/apps/{id}

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

พารามิเตอร์ใน Path

id*string

The id of the App.

Body ของคำตอบ

The answer.

response?stringapplication/json

The id.

curl -X DELETE "https://platform.example.com/api/admin/apps/$ID" \  -H "Authorization: Bearer $TOKEN"
"string"

แก้แอปที่ติดตั้งแล้ว

PUT
/api/admin/apps/{id}

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

พารามิเตอร์ใน Path

id*string

The id of the App.

Body ของคำขอ

application/json
  1. body
url?unknown
order?unknown

Body ของคำตอบ

The answer.

curl -X PUT "https://platform.example.com/api/admin/apps/$ID" \  -H "Authorization: Bearer $TOKEN" \  -H "Content-Type: application/json" \  -d '{  "url": "...",  "order": "..."}'
ว่าง